plotControlData {lumi} | R Documentation

## Plot the mean expression (with standard deviation bar) of different type of control probes

### Description

Plot the mean expression (with standard deviation bar) of different type of control probes. Multiple control types can be plotted in a single plot. The available control types can be get by running getControlType(controlData).

### Usage

    plotControlData(controlData, type = NULL, slideIndex = NULL, logMode = FALSE, new = TRUE, ...)

### Arguments

`controlData` | a LumiBatch object including control data or a control data data.frame
`type` | the control probe type (case insensitive), which can be get by running getControlType(controlData)
`slideIndex` | the slide index or ID corresponding to each sample
`logMode` | whether show the data in log2 scale
`new` | whether refresh the new plot or add it on the old one
`...` | other parameters used by default plot function

### Details

When multiple control types are selected, they will be plotted in a two-column plot.

### Value

plot the picture and return TRUE if everything is OK

### Author(s)

Pan Du

### See Also

`addControlData2lumi`

### Examples

            controlFile <- system.file('doc', 'Control_Probe_Profile.txt', package='lumi')
            controlData <- getControlData(controlFile)
            getControlType(controlData)
            plotControlData(controlData, type='NEGATIVE')

[Package lumi version 1.10.2 Index]